Bug 1535345 - [RFE][S-3] Include option to take database dump from appliance_console menu
Summary: [RFE][S-3] Include option to take database dump from appliance_console menu
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: MVP
: 5.10.0
Assignee: Nick LaMuro
QA Contact: Jaroslav Henner
URL:
Whiteboard:
Depends On:
Blocks: 1555371 1590055 1632433
TreeView+ depends on / blocked
 
Reported: 2018-01-17 08:02 UTC by Niladri Roy
Modified: 2019-08-22 00:54 UTC (History)
13 users (show)

Fixed In Version: 5.10.0.23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:57 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:10 UTC

Description Niladri Roy 2018-01-17 08:02:40 UTC

Comment 4 Nick LaMuro 2018-05-09 22:56:29 UTC
First pull request:

https://github.com/ManageIQ/manageiq-appliance_console/pull/42

with another to follow to add database backup functionality.

Comment 21 Nick LaMuro 2018-05-26 01:21:06 UTC
Update:

Currently have had the following merged:

* https://github.com/ManageIQ/manageiq-appliance_console/pull/42
* https://github.com/ManageIQ/manageiq-gems-pending/pull/351


The first sets up work following patches that have been opened up:

* https://github.com/ManageIQ/manageiq-appliance_console/pull/44
* https://github.com/ManageIQ/manageiq-appliance_console/pull/45

The latter of those two allows the `appliance_console` trigger database dumps, and the former was already in place for work that was done previously before requirements changed.

The changes to `manageiq-gems-pending` sets up the work for:

* https://github.com/ManageIQ/manageiq/pull/17483

Which is required to allow the DB Dumps to work in the `appliance_console` (backups are already supported rake tasks, so the change to allow backups in the `appliance_console` needed no supporting PRs).

Comment 23 luke couzens 2018-06-26 12:53:20 UTC
No option added to appliance_console menu for taking backups.

Comment 24 Nick Carboni 2018-06-26 13:30:20 UTC
This should not have been moved to POST as we have not released a new version of the appliance console gem with this fix.

NickL, do we want to cut a version now or are there more changes coming in soon?

Comment 25 Nick LaMuro 2018-07-10 17:14:06 UTC
There are more changes coming that I think make sense to be released together.

Moving back to POST for the time being.

Comment 28 Nick LaMuro 2018-08-01 19:25:04 UTC
Update:

I have added a bugfix PR since the previous round of merges:

https://github.com/ManageIQ/manageiq-appliance_console/pull/51

Which fixes some major usability flaws with the initial implementation which were not caught in tests or code review (tests have been updated to catch this better going forward).


-Nick

Comment 30 CFME Bot 2018-08-06 19:56:54 UTC
New commit detected on ManageIQ/manageiq-appliance/master:

https://github.com/ManageIQ/manageiq-appliance/commit/8aba2f893cfbe878eea55c1da0de0b98f60024ab
commit 8aba2f893cfbe878eea55c1da0de0b98f60024ab
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Wed Aug  1 16:53:52 2018 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Wed Aug  1 16:53:52 2018 -0400

    Bump versions of the console and HA admin gem

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1544854
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1418080
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1535345
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1586186

    https://www.pivotaltracker.com/story/show/135779733
    https://www.pivotaltracker.com/story/show/141523501
    https://www.pivotaltracker.com/story/show/121849185

 manageiq-appliance-dependencies.rb | 4 +-
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 31 CFME Bot 2018-10-01 14:18:52 UTC
New commit detected on ManageIQ/manageiq-appliance_console/master:

https://github.com/ManageIQ/manageiq-appliance_console/commit/51eb422d2f303226e14c261bd03798c63b47be10
commit 51eb422d2f303226e14c261bd03798c63b47be10
Author:     Keenan Brock <keenan@thebrocks.net>
AuthorDate: Mon Sep 24 12:43:59 2018 -0400
Commit:     Keenan Brock <keenan@thebrocks.net>
CommitDate: Mon Sep 24 12:43:59 2018 -0400

    anonymous ftp upload option

    https://bugzilla.redhat.com/show_bug.cgi?id=1535345
    https://bugzilla.redhat.com/show_bug.cgi?id=1632433

    This will allow customers to upload files to support sites

    To add this option, add to `en.yml`:

    ```yml
      database_admin:
        menu_order:
        - local
        - ftp://ftp.example.com/incoming/999999-db.backup
        local: Local file
        prompts:
          ftp.example.com:
            filename_text: "The case number dash (-) filename. (e.g.: 12345-db.backup)"
            filename_validator: "^[0-9]{4,}-..*"
    ```
 lib/manageiq/appliance_console/database_admin.rb | 41 +-
 spec/database_admin_spec.rb | 101 +
 2 files changed, 139 insertions(+), 3 deletions(-)

Comment 32 Jaroslav Henner 2018-10-04 09:19:56 UTC
I cannot find the option "Create Database Backup" in the appliance_console menu on 

Version: 5.10.0.18
Build:   20181003162715_dfcff5a
Codename: Hammer

Comment 33 Nick LaMuro 2018-10-29 22:32:26 UTC
Jaroslav,

Sorry for missing the ping on this.


That said, confused by the most recent comment, as this is adding "Include option to take database dump", and you have mentioned that you can't find the "Create Database Backup" option.


I will be checking against the the Hammer beta build in a bit, but wanted to at least confirm you got the right ticket in regards to your most recent comment.  There are some bugs that I am currently aware of and in the process of fixing, but a missing menu item shouldn't be one of them.


-Nick

Comment 34 Nick LaMuro 2018-10-29 23:08:25 UTC
Also, just for reference, these should be part of the build as of:

https://github.com/ManageIQ/manageiq-appliance/blob/ea1bbd2c/manageiq-appliance-dependencies.rb#L2
https://github.com/ManageIQ/manageiq-appliance_console/commit/800056442d94277a98be9f08476628a64ba8621e


So this might be more of a build issue than on my end.  Again, I am checking against a Hammer appliance to validate one way or the other.


-Nick

Comment 35 Nick LaMuro 2018-10-29 23:35:30 UTC
Here is the menu that I got when using the Vagrant build for Hammer beta2:

  Advanced Setting
  
  1) Configure Network
  2) Set Timezone
  3) Set Date and Time
  4) Create Database Backup
  5) Create Database Dump
  6) Restore Database From Backup
  7) Configure Database
  8) Configure Database Replication
  9) Logfile Configuration
  10) Configure Application Database Failover Monitor
  11) Configure External Authentication (httpd)
  12) Update External Authentication Options
  13) Generate Custom Encryption Key
  14) Stop EVM Server Processes
  15) Start EVM Server Processes
  16) Restart Appliance
  17) Shut Down Appliance
  18) Summary Information
  19) Quit
  
  Choose the advanced setting:


Found here:

https://app.vagrantup.com/manageiq/boxes/hammer/versions/8.1.0-beta2




So dump, backup, and restore are all present, so I am going to chalk it up to the appliance was missing the dependency when this was tested previously.

Assigning this back to QA for re-evaluation.


-Nick

Comment 39 errata-xmlrpc 2019-02-07 23:00:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.